# HandBrakeCLI - Batch encode folder

Use this rudimentary script to batch encode a folder of video files with HandbrakeCLI, using a custom preset.

#### Prerequisites

```
sudo dnf install jq HandBrake HandBrake-gui
```

#### How to use

1. Create a custom Handbrake preset.
1. Export the preset as a `*.json` file.
1. Set `PRESETFILE` to the location of the exported preset file.
1. Set `DEST` as the destination folder for encodes.
1. Modify any of the other settings as desired.
1. Run `encode.sh` from within a directory of video files you wish to encode.
